package game.training;

/**
 * A data structure that holds the best move and score achieved so far by the
 * MiniMax algorithm.
 */
public class Best {
	private int move;
	private double score;
	
	public Best(){
		this.move = -1;
		this.score = Double.NEGATIVE_INFINITY;
	}
	
	public int getMove(){
		return this.move;
	}
	
	public double getScore(){
		return this.score;
	}
	
	public void setMove(int move){
		this.move = move;
	}
	
	public void setScore(double score){
		this.score = score;
	}
	
	/**
	 * This method prints the Best data structure for debugging purposes
	 */
	public void print(){
		System.out.println("myBest values:");
		System.out.println("move = " + this.move);
		System.out.println("score = " + this.score);
	}
}
